libmspub::TableInfo Struct Reference

`#include <TableInfo.h>`

## Public Member Functions

| TableInfo (unsigned numRows, unsigned numColumns)

## Public Attributes

std::vector< unsigned > | m_rowHeightsInEmu
std::vector< unsigned > | m_columnWidthsInEmu
unsigned | m_numRows
unsigned | m_numColumns
std::vector< CellInfo > | m_cells

## Constructor & Destructor Documentation

## TableInfo()

libmspub::TableInfo::TableInfo | ( | unsigned | numRows,
|  | unsigned | numColumns )

inline

## Member Data Documentation

## m_cells

std::vector<CellInfo> libmspub::TableInfo::m_cells

Referenced by libmspub::MSPUBParser::parseShape(), and TableInfo().

## m_columnWidthsInEmu

std::vector<unsigned> libmspub::TableInfo::m_columnWidthsInEmu

Referenced by libmspub::MSPUBParser::parseShape(), and TableInfo().

## m_numColumns

unsigned libmspub::TableInfo::m_numColumns

Referenced by TableInfo().

## m_numRows

unsigned libmspub::TableInfo::m_numRows

Referenced by TableInfo().

## m_rowHeightsInEmu

std::vector<unsigned> libmspub::TableInfo::m_rowHeightsInEmu

Referenced by libmspub::MSPUBParser::parseShape(), and TableInfo().

The documentation for this struct was generated from the following file:

- TableInfo.h